Bug 920879 - Review Request: tali - GNOME tali game
Review Request: tali - GNOME tali game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kalev Lember
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-12 20:08 EDT by Tanner Doshier
Modified: 2013-05-12 13:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-12 13:04:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
doshitan: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Tanner Doshier 2013-03-12 20:08:23 EDT
Spec URL: http://doshitan.com/tmp/tali/tali.spec
SRPM URL: http://doshitan.com/tmp/tali/tali-3.7.4-1.fc19.src.rpm
Description: This is the GNOME game Tali

rpmlint:
tali.src: W: name-repeated-in-summary C Tali
tali.x86_64: W: name-repeated-in-summary C Tali
tali.x86_64: E: zero-length /var/games/gtali.Colors.scores
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet3.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-none.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-4.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-2.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet4.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-1.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet5.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet6.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet1.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet2.svg
tali.x86_64: E: zero-length /var/games/gtali.Regular.scores
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-6.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-5.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-3.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/doc/tali-3.7.4/COPYING
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet-none.svg
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/games-stock.h
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/games-stock.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/yahtzee.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/games-scores.h
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/games-scores.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/games-scores-dialog.h
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/games-scores-dialog.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.7.4/src/clist.c
3 packages and 0 specfiles checked; 25 errors, 2 warnings.
Comment 1 Tanner Doshier 2013-04-02 18:48:47 EDT
3.8.0-1
- Update to 3.8.0
- Use setgid games

3.7.92-1
- Update to 3.7.92
- Use old desktop file name

Spec URL: http://doshitan.com/tmp/tali/tali.spec
SRPM URL: http://doshitan.com/tmp/tali/tali-3.8.0-1.fc19.src.rpm
Comment 2 Christopher Meng 2013-05-07 12:11:33 EDT
Hi,

I'd like to swap with you of my tickets.

Like this really small game:

https://bugzilla.redhat.com/show_bug.cgi?id=955913

The things should be consider a fix are:

1.I think you should use %{name} to replace "tali" as many as possible.

2.What about adding NEWS file to %doc?

3.Not familiar with the permission control "%attr(2551, root, games)", any reason can tell?
Comment 3 Christopher Meng 2013-05-08 03:47:01 EDT
Hi,

after doing the fedora-review there are still many things you should fix, like incorret address of FSF and large data should be packaged as tali-data and so on.

But it seems the major problem is that this package is already in Fedora as "gnome-games-gtali".

So, you've packaged a duplicated one.

I think you can request to become a comaintainer of "gnome-games-gtali" package and update it.(The current version is 3.6.1)
Comment 4 Tanner Doshier 2013-05-08 16:07:59 EDT
(In reply to comment #2)
> 1.I think you should use %{name} to replace "tali" as many as possible.

A package's name isn't subject to change. I suppose %{name} helps the file be a better template for common stuff, but for specifically installed files (especially for the few in this game), explicitly stating the name seems reasonable to me.


> 2.What about adding NEWS file to %doc?

We could, but it isn't done for any of the other gnome games nor the old package (though that might not be sufficient justification on its own).


> 3.Not familiar with the permission control "%attr(2551, root, games)", any
> reason can tell?

Tali currently stores it's score files in a system directory, so we add it to the games group and give the group access to read/write the score files. It's a pattern carried over from the old package.
Comment 5 Tanner Doshier 2013-05-08 16:18:34 EDT
(In reply to comment #3)
> like incorret address of FSF
 
The incorrect FSF addresses is a problem with most of the games currently and needs to be fixed upstream, but the current packages have the same issue, so nothing is changing (for better or worse).


> large data should be packaged as tali-data and so on.

I'm not sure of the cut off point for a separate data package. Tali doesn't have *that* much stuff...not sure if it needs to be split though.


> But it seems the major problem is that this package is already in Fedora as
> "gnome-games-gtali".

Yes, this package replaces it. The gnome-games has been broken up into individual modules and it's nicer to have each tarball as its own package.

See: https://bugzilla.redhat.com/show_bug.cgi?id=910391#c0
Comment 6 Christopher Meng 2013-05-08 20:33:46 EDT
Oh.. .sorry.

I think you can notify upstream to fix the license problem, just like gnome-chess.
Comment 7 Christopher Meng 2013-05-08 21:34:59 EDT
Like gnome-chess, if you want to replace the old one with this I think you can use Obsolete tag, alright?
Comment 8 Kalev Lember 2013-05-10 16:58:14 EDT
(In reply to comment #4)
> (In reply to comment #2)
> > 1.I think you should use %{name} to replace "tali" as many as possible.
> 
> A package's name isn't subject to change. I suppose %{name} helps the file
> be a better template for common stuff, but for specifically installed files
> (especially for the few in this game), explicitly stating the name seems
> reasonable to me.

I agree with Tanner. Changing something like:

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/gtali.desktop

to:

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/g%{name}.desktop

... would be just silly. The %{name} macro is for the _rpm package's_ name and even if a file name happens to coincide with the name of the rpm, it doesn't automatically mean we should use the macro there. There are semantic differences.
Comment 9 Kalev Lember 2013-05-10 17:00:27 EDT
Christopher, I see you've assigned the ticket to yourself -- are you working on the review? I would be happy to do the review here if you are not.
Comment 10 Kalev Lember 2013-05-11 13:31:46 EDT
rpmlint output for the latest spec file:

$ rpmlint tali \
          tali-debuginfo-3.8.0-1.fc20.x86_64.rpm \
          tali-3.8.0-1.fc20.src.rpm

tali.x86_64: W: name-repeated-in-summary C Tali
tali.x86_64: W: obsolete-not-provided gnome-games-gtali
tali.x86_64: W: binaryinfo-readelf-failed /usr/bin/tali readelf: Error: Input file '/usr/bin/tali' is not readable.
tali.x86_64: W: binaryinfo-tail-failed /usr/bin/tali: [Errno 13] Permission denied: '/usr/bin/tali'
tali.x86_64: W: ldd-failed /usr/bin/tali
tali.x86_64: E: zero-length /var/games/gtali.Colors.scores
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet3.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-none.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-4.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-2.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet4.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-1.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet5.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet6.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/doc/tali-3.8.0/COPYING
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet1.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet2.svg
tali.x86_64: E: zero-length /var/games/gtali.Regular.scores
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-6.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-5.svg
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/gnome-dice-3.svg
tali.x86_64: E: setgid-binary /usr/bin/tali games 02551L
tali.x86_64: E: non-standard-executable-perm /usr/bin/tali 02551L
tali.x86_64: E: non-standard-executable-perm /usr/bin/tali 02551L
tali.x86_64: E: incorrect-fsf-address /usr/share/tali/kismet-none.svg
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/games-stock.h
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/games-scores-dialog.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/yahtzee.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/games-scores-dialog.h
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/clist.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/games-stock.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/games-scores.c
tali-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/tali-3.8.0/src/games-scores.h
tali.src: W: name-repeated-in-summary C Tali
3 packages and 0 specfiles checked; 28 errors, 6 warnings.
Comment 11 Kalev Lember 2013-05-11 13:38:26 EDT
Fedora review tali-3.8.0-1.fc19.src.rpm 2013-05-11

+ OK
! needs attention

+ Rpmlint is very noisy here, but most of the warnings / errors seem harmless.
  The unreadable /usr/bin/tali is a bit weird, but it's the same as in
  the old gnome-games and I suppose it didn't have the r bit for a reason.
+ The package is named according to Fedora packaging guidelines
+ The spec file name matches the base package name.
+ The package meets the Packaging Guidelines
+ The package is licensed with a Fedora approved license and meets the
  Licensing Guidelines.
+ The license field in the spec file matches the actual license
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm. md5sum:
  e9f1389df409247074aa24b329888482  tali-3.8.0.tar.xz
  e9f1389df409247074aa24b329888482  Download/tali-3.8.0.tar.xz
+ The package builds in koji
n/a ExcludeArch bugs filed
+ BuildRequires look sane
+ The spec file handles locales properly
n/a ldconfig in %post and %postun
+ Package does not bundle copies of system libraries
n/a Package isn't relocatable
+ Package owns all the directories it creates
+ No duplicate files in %files
+ Permissions are properly set
+ Consistent use of macros
+ The package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
n/a Static libraries should be in -static
n/a Library files that end in .so must go in a -devel package
n/a -devel must require the fully versioned base
+ Packages should not contain libtool .la files
+ Proper .desktop file handling
+ Doesn't own files or directories already owned by other packages
+ Filenames are valid UTF-8

APPROVED

Wohooo, and that was the last one of the 15 new split up gnome-games modules!
Comment 12 Tanner Doshier 2013-05-11 13:48:44 EDT
New Package SCM Request
=======================
Package Name: tali
Short Description: Beat the odds in a poker-style dice game
Owners: doshitan
Branches: f19
InitialCC:
Comment 13 Jon Ciesla 2013-05-12 12:08:21 EDT
Git done (by process-git-requests).
Comment 14 Tanner Doshier 2013-05-12 13:04:11 EDT
Built in rawhide and f19.
Comment 15 Tanner Doshier 2013-05-12 13:11:22 EDT
Messed up the cvs flag, clearing it.

Note You need to log in before you can comment on or make changes to this bug.